# DynamicGeometryUpdater

#### new Cesium.DynamicGeometryUpdater()
DataSources/DynamicGeometryUpdater.js 20

  Defines the interface for a dynamic geometry updater. A DynamicGeometryUpdater is responsible for handling visualization of a specific type of geometry that needs to be recomputed based on simulation time. This object is never used directly by client code, but is instead created by `GeometryUpdater` implementations which contain dynamic geometry. This type defines an interface and cannot be instantiated directly.

### Methods

#### destroy()
DataSources/DynamicGeometryUpdater.js 63

  Destroys and resources used by the object. Once an object is destroyed, it should not be used.

  ##### Throws:

  - DeveloperError : This object was destroyed, i.e., destroy() was called.

#### isDestroyed() → Boolean
DataSources/DynamicGeometryUpdater.js 54

  Returns true if this object was destroyed; otherwise, false.

  ##### Returns:

  True if this object was destroyed; otherwise, false.

#### update(time)
DataSources/DynamicGeometryUpdater.js 31

  Updates the geometry to the specified time.

  Name | Type | Description
  --- | --- | ---
  `time` | JulianDate | The current time.